# nng_msg_body(3) Manual Page

## NAME

nng_msg_body - return message body

## SYNOPSIS

    #include <nng/nng.h>

    void *nng_msg_body(nng_msg *msg);

## DESCRIPTION

The `nng_msg_body()` function returns a pointer to the start of the body content of the message msg.

| The value returned by this is invalidated by a call to any of the functions that modify the message itself. Such functions are `nng_msg_free()`, `nng_msg_realloc()`, any of the `nng_msg_trim()`, `nng_msg_chop()`, `nng_msg_append()`, or `nng_msg_insert()` variants.

## RETURN VALUES

Pointer to start of message body.

## ERRORS

None.

## SEE ALSO

nng_msg_alloc(3), nng_msg_append(3), nng_msg_chop(3), nng_msg_free(3), nng_msg_insert(3), nng_msg_len(3), nng_msg_realloc(3), nng_msg_trim(3), nng_msg(5), nng(7)